using System;

namespace zadatak4
{
    class Program
    {
        static void Main(string[] args)
        {
            string p = Console.ReadLine();
            char[] s = new char[p.Length];
            for (int i = 0; i < p.Length; i++)
            {
                s[i] = p[i];
            }
            p = Console.ReadLine();
            char[] t = new char[p.Length];
            for (int i = 0; i < p.Length; i++)
            {
                t[i] = p[i];
            }
            int br;
            int re = s.Length;
            char r = ' ';
            for(int i=0;i<t.Length;i++)
            {
                br = 0;
                for(int j=0;j<s.Length;j++)
                {
                    if(s[j]==t[i]) br++;
                    else
                    {
                        if(br!=0 && re>br)
                        {
                            re = br;
                            r = t[i];
                        }
                    }
                }
            }
            for(int i=0;i<s.Length;i++)
            {
                if (s[i] == r) s[i] = '*';
            }
            Console.WriteLine(re);
            Console.WriteLine(s);
        }
    }
}